Main Page Widgets Namespaces Book

# gdk/gdkmm/types.h File Reference

## Namespaces
namespace | Gdk
namespace | Glib
## Classes
class | Gdk::Point
| This is a simple structure containing an x and y coordinate of a point. More...
## Defines
#define | GDK_VERSION_EQ(major, minor) ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))
#define | GDK_VERSION_GE(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))
#define | GDK_VERSION_GT(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))
#define | GDK_VERSION_LE(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))
#define | GDK_VERSION_LT(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))
#define | GDK_VERSION_NE(major, minor) ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))
## Typedefs
typedef Glib::ArrayHandle < std::string, AtomStringTraits > | Gdk::ArrayHandle_AtomString
typedef GdkGeometry | Gdk::Geometry
typedef Glib::ListHandle < std::string, AtomStringTraits > | Gdk::ListHandle_AtomString
typedef GdkNativeWindow | Gdk::NativeWindow
## Enumerations
enum | Gdk::ByteOrder { Gdk::LSB_FIRST, Gdk::MSB_FIRST }
enum | Gdk::InputCondition { Gdk::INPUT_READ = 1 << 0, Gdk::INPUT_WRITE = 1 << 1, Gdk::INPUT_EXCEPTION = 1 << 2 }
enum | Gdk::ModifierType { Gdk::SHIFT_MASK = 1 << 0, Gdk::LOCK_MASK = 1 << 1, Gdk::CONTROL_MASK = 1 << 2, Gdk::MOD1_MASK = 1 << 3, Gdk::MOD2_MASK = 1 << 4, Gdk::MOD3_MASK = 1 << 5, Gdk::MOD4_MASK = 1 << 6, Gdk::MOD5_MASK = 1 << 7, Gdk::BUTTON1_MASK = 1 << 8, Gdk::BUTTON2_MASK = 1 << 9, Gdk::BUTTON3_MASK = 1 << 10, Gdk::BUTTON4_MASK = 1 << 11, Gdk::BUTTON5_MASK = 1 << 12, Gdk::SUPER_MASK = 1 << 26, Gdk::HYPER_MASK = 1 << 27, Gdk::META_MASK = 1 << 28, Gdk::RELEASE_MASK = 1 << 30, Gdk::MODIFIER_MASK = 0x5c001fff }
enum | Gdk::Status { Gdk::OK = 0, Gdk::ERROR = -1, Gdk::ERROR_PARAM = -2, Gdk::ERROR_FILE = -3, Gdk::ERROR_MEM = -4 }
## Functions
InputCondition | Gdk::operator& (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator& (ModifierType lhs, ModifierType rhs)
InputCondition& | Gdk::operator&= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator&= (ModifierType& lhs, ModifierType rhs)
InputCondition | Gdk::operator^ (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator^ (ModifierType lhs, ModifierType rhs)
InputCondition& | Gdk::operator^= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator^= (ModifierType& lhs, ModifierType rhs)
InputCondition | Gdk::operator| (InputCondition lhs, InputCondition rhs)
ModifierType | Gdk::operator| (ModifierType lhs, ModifierType rhs)
InputCondition& | Gdk::operator|= (InputCondition& lhs, InputCondition rhs)
ModifierType& | Gdk::operator|= (ModifierType& lhs, ModifierType rhs)
InputCondition | Gdk::operator~ (InputCondition flags)
ModifierType | Gdk::operator~ (ModifierType flags)

## Define Documentation

#define GDK_VERSION_EQ | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))

#define GDK_VERSION_GE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))

#define GDK_VERSION_GT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))

#define GDK_VERSION_LE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))

#define GDK_VERSION_LT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))

#define GDK_VERSION_NE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))